import Component from '../../component.js'

export default class CoEuiTableSortableCol extends Component {
    constructor(parent) {
      let selector = 'th[@sortable]';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/eui-table/sortable-col/eui-table-sortable-col.component.html
    }
    get content() {
      return this.currentPath + '//div[contains(@class, "eui-table__sortable-col-content")]';
    }
    get sortableIcon() {
      return this.content + '//span[contains(@class, "eui-table__sortable-icon") and contains(@class, "eui-icon-sort")]';
    }
    get ascSortableIcon() {
      return this.content + '//span[contains(@class, "eui-table__sortable-icon") and contains(@class, "eui-icon-sort-asc")]';
    }
    get descSortableIcon() {
      return this.content + '//span[contains(@class, "eui-table__sortable-icon") and contains(@class, "eui-icon-sort-desc")]';
    }
}


